> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkio.world/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate Onramp



## OpenAPI

````yaml /reference/link-transaction.json post /transactions/v2/onramp
openapi: 3.1.0
info:
  title: link-transaction
  version: '1.0'
servers:
  - url: https://api.linkio.world
security:
  - sec0: []
tags:
  - name: Direct FX
  - name: Pan-Africa Ramp
  - name: BRL Ramp
  - name: IDR Ramp
  - name: B2B
  - name: Customers
  - name: Static Details
  - name: Transactions
  - name: Accounts
  - name: ESPESS
paths:
  /transactions/v2/onramp:
    post:
      tags:
        - Direct FX
      summary: Initiate Onramp
      operationId: onramp
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - currency
                - amount
                - stables
              properties:
                currency:
                  type: string
                  description: >-
                    Currency in which user wants to pay for onramp asset. (NGN,
                    USD)
                  default: NGN
                  enum:
                    - NGN
                    - USD
                amount:
                  type: string
                  description: >-
                    Amount user wishes to onramp based on currency selected.
                    (Min ~ 15K NGN,  20USD)
                stables:
                  type: string
                  description: Stable coin in which user wants to be settle in.(USDC, USDT)
                  enum:
                    - USDC
                    - USDT
                vendor_bank:
                  type: string
                  description: >-
                    Use the "Fetch Payment Vendors" ENDPOINT to fetch the list
                    of supported payment vendors
                vendor_number:
                  type: string
                  description: Use the "Fetch Payment Vendors" ENDPOINT.
                vendor_name:
                  type: string
                  description: Use the "Fetch Payment Vendors" ENDPOINT.
                wallet_address:
                  type: string
                  description: >-
                    Wallet address where the on-ramp stablecoin token will be
                    sent to.
                network:
                  type: string
                  description: >-
                    The address network to disburse payment. Our supported
                    networks are (Wallet address network. Our supported networks
                    are (Arbitrum, Avalanche, Stellar, Base, Polygon, Solana,
                    Stellar, Tron, XRPL).
                bank_name:
                  type: string
                  description: >-
                    Proof of payment Bank used to send money to the vendor
                    account
                account_number:
                  type: string
                  description: >-
                    Proof of payment Account number of bank used to send money
                    to the vendor account.
                routing_number:
                  type: string
                  description: >-
                    Proof of payment Bank Routing number used to send money to
                    the vendor account
                bank_address:
                  type: string
                  description: >-
                    Optional for transactions that provide bank transaction
                    address
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "status": "success",
                        "message": "Transaction Request successful",
                        "transaction": {
                            "transaction_id": "645c329afc3ac414bf70f9a1",
                            "business": {
                                "business_id": "0123456789"
                            },
                            "type": "Buy",
                            "reference": "0984938271",
                            "amount": 25639.55,
                            "link_account_name": "Okemdinachi Nwaejie",
                            "link_account_number": "8180789670",
                            "link_bank_name": "Wema Bank",
                            "account_number": "3338900202",
                            "bank_name": "Providus Bank",
                            "link_tag": "Link_eng",
                            "network": "Avalanche",
                            "wallet_address": "x.fie9383jEU8394jdnc",
                            "date_created": "May 11, 2023"
                        }
                    }
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  message:
                    type: string
                    example: Transaction Request successful
                  transaction:
                    type: object
                    properties:
                      transaction_id:
                        type: string
                        example: 645c329afc3ac414bf70f9a1
                      business:
                        type: object
                        properties:
                          business_id:
                            type: string
                            example: '0123456789'
                      type:
                        type: string
                        example: Buy
                      reference:
                        type: string
                        example: '0984938271'
                      amount:
                        type: number
                        example: 25639.55
                        default: 0
                      link_account_name:
                        type: string
                        example: Okemdinachi Nwaejie
                      link_account_number:
                        type: string
                        example: '8180789670'
                      link_bank_name:
                        type: string
                        example: Wema Bank
                      account_number:
                        type: string
                        example: '3338900202'
                      bank_name:
                        type: string
                        example: Providus Bank
                      link_tag:
                        type: string
                        example: Link_eng
                      network:
                        type: string
                        example: Avalanche
                      wallet_address:
                        type: string
                        example: x.fie9383jEU8394jdnc
                      date_created:
                        type: string
                        example: May 11, 2023
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '404':
          description: '404'
          content:
            text/plain:
              examples:
                Result:
                  value: ''
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: ngnc-sec-key
      x-default: ''

````